#
# Copyright (c) 2026, Chloe M.
# Provided under the BSD-3 clause
#
# Description:  Client server runtime service build script
# Author:       Chloe M.
#

CFILES = $(shell find . -name "*.c")
OFILES = $(CFILES:.c=.o)

CFLAGS = $(SYS_CFLAGS)
CRT_FILES = $(shell find $(PT_URT_CRT) -name "*.o")

SERVER_OUT = \
	$(PT_PROJECT_ROOT)/service/base/boot/csrts.sys

.PHONY: all
all: $(SERVER_OUT)

.PHONY: $(SERVER_OUT)
$(SERVER_OUT): $(OFILES)
	$(SYS_LD) $(OFILES) $(CRT_FILES) -T$(USER_LDS) -o $@

%.o: %.c
	$(SYS_CC) -c $< $(CFLAGS) -o $@
